//###########################################################################//
//             Fast Fourier Transform Algorithm for GPU                      //
//                                                                           //
//              YI YANG, University of Central Florida                       //
//                            OCT. 2008                                      //
//###########################################################################//
// Disclaimer:                                                               //
// This code is provided on an "AS IS" basis, without warranty. The author   //
// does not have any liability to you or any other person or entity with     //
// respect to any liability, loss, or damage caused or alleged to have been  //
// caused directly or indirectly by this code.                               //
//###########################################################################//
//               CPU implementation for fft1 without recursion               //
//###########################################################################//

// includes, system
#include <stdio.h>
#include <math.h>
#include <stdlib.h>

// includes, project
#include <convolution.h>

extern "C"
void convolutionCPU(float* a, float* b, float* c, int Width, int Height, int k_Width, int k_Height);

void convolutionCPU(float* a, float* b, float* c, int Width, int Height, int k_Width, int k_Height)
{
	int m, n, i, j;
	for (n=0; n<Height; n++) {
		for (m=0; m<Width; m++) {
			c[n*Width+m] = 0;
			for(i=0; i<k_Height; i+=1) {
				for(j=0; j<k_Width; j+=1) {
					if(n-i>=0 && m-j>= 0) {
						c[n*Width+m] += b[i*k_Width+j] * a[(n-i)*(Width)+m-j];
					}
				}
			}

		}
	}
}
