//###########################################################################//
//             Fast Fourier Transform Algorithm for GPU                      //
//                                                                           //
//              YI YANG, University of Central Florida                       //
//                            OCT. 2008                                      //
//###########################################################################//
// Disclaimer:                                                               //
// This code is provided on an "AS IS" basis, without warranty. The author   //
// does not have any liability to you or any other person or entity with     //
// respect to any liability, loss, or damage caused or alleged to have been  //
// caused directly or indirectly by this code.                               //
//###########################################################################//


// some useful functions for cuda program
#ifndef CUDACOM_H_
#define CUDACOM_H_


typedef struct CmdInfo
{
	int Verbose;
	int Verify;
	int Quiet;
    int Test;
	int    Width;
    int    Height;
    int    KWidth;
    int    KHeight;
    int	Iterations;

} CmdInfo;

//print current timestamp
float timestamp(char* msg);

void parseCommandLine(int argc, char* argv[], CmdInfo* Info);

void usage(const char* name);
#endif /*CUDACOM_H_*/
